> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.lettertypewriter.md).

# LetterTypewriter

Class in [Yarn.Unity](/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

An implementation of [IAsyncTypewriter](/api/csharp/yarn.unity/yarn.unity.iasynctypewriter.md) that delivers characters one at a time, and invokes any [IActionMarkupHandler](/api/csharp/yarn.unity/yarn.unity.iactionmarkuphandler.md) s along the way as needed.

```csharp
public class LetterTypewriter : IAsyncTypewriter
```

## Methods

| Name                                                                                                                                                         | Description                                |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------ |
| [ContentDidDismiss()](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.contentdiddismiss.md)                                   |                                            |
| [ContentWillDismiss()](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.contentwilldismiss.md)                                 |                                            |
| [PrepareForContent(Markup.MarkupParseResult)](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.prepareforcontent.md)           |                                            |
| [RunTypewriter(Markup.MarkupParseResult,CancellationToken)](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.runtypewriter.md) | Displays the contents of a line over time. |

## Properties

| Name                                                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                          |
| ------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [ActionMarkupHandlers](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.actionmarkuphandlers.md) | A collection of [IActionMarkupHandler](/api/csharp/yarn.unity/yarn.unity.iactionmarkuphandler.md) objects that should be invoked as needed during the typewriter's delivery in [RunTypewriter(Markup.MarkupParseResult,CancellationToken)](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.runtypewriter.md) , depending upon the contents of a line. |
| [CharactersPerSecond](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.characterspersecond.md)   | The number of characters per second to deliver.                                                                                                                                                                                                                                                                                                                                      |
| [TextElement](/api/csharp/yarn.unity/yarn.unity.lettertypewriter/yarn.unity.lettertypewriter.textelement.md)                   | The `TMPro.TMP_Text` to display the text in.                                                                                                                                                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.lettertypewriter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
